package cn.reghao.tnb.message.app.db.mapper;

import cn.reghao.jutil.jdk.db.BaseMapper;
import cn.reghao.tnb.message.app.model.po.EmailAccount;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * @author reghao
 * @date 2024-09-25 11:49:07
 */
@Mapper
public interface EmailAccountMapper extends BaseMapper<EmailAccount> {
    void updatePassword(@Param("id") int id, @Param("password") String password);
    void updateDefaultSender(@Param("id") int id, @Param("defaultSender") boolean defaultSender);
    void deleteById(int id);
    EmailAccount findById(int id);
    EmailAccount findByUsername(String username);
    EmailAccount findDefaultSender();
}
